Package org.pushingpixels.substance.internal.ui

# Class SubstanceSpinnerUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SpinnerUI
javax.swing.plaf.basic.BasicSpinnerUI
org.pushingpixels.substance.internal.ui.SubstanceSpinnerUI

public class SubstanceSpinnerUI extends BasicSpinnerUI
UI for spinners in Substance look and feel.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`SubstanceSpinnerUI.SpinnerLayoutManager`
Layout manager for the spinner.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected SubstanceSpinnerButton`
`nextButton`
The next (increment) button.
`protected SubstanceSpinnerButton`
`prevButton`
The previous (decrement) button.
`protected PropertyChangeListener`
`substancePropertyChangeListener`
Tracks changes to editor, removing the border as necessary.

### Fields inherited from class javax.swing.plaf.basic.BasicSpinnerUI

`spinner`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceSpinnerUI()`

## Method Summary

Modifier and Type
Method
Description
`protected LayoutManager`
`createLayout()`
`protected Component`
`createNextButton()`
`protected Component`
`createPreviousButton()`
`static ComponentUI`
`createUI(JComponent comp)`
`Dimension`
`getPreferredSize(JComponent c)`
`protected void`
`installDefaults()`
`protected void`
`installListeners()`
`void`
`installUI(JComponent c)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`uninstallListeners()`
`void`
`uninstallUI(JComponent c)`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicSpinnerUI

`createEditor, createPropertyChangeListener, getBaseline, getBaselineResizeBehavior, installKeyboardActions, installNextButtonListeners, installPreviousButtonListeners, replaceEditor, uninstallDefaults`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### substancePropertyChangeListener

protected PropertyChangeListener substancePropertyChangeListener
Tracks changes to editor, removing the border as necessary.

### nextButton

protected SubstanceSpinnerButton nextButton
The next (increment) button.

### prevButton

protected SubstanceSpinnerButton prevButton
The previous (decrement) button.

## Constructor Details

### SubstanceSpinnerUI

public SubstanceSpinnerUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `BasicSpinnerUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `BasicSpinnerUI`

### createNextButton

protected Component createNextButton()

Overrides:
  `createNextButton` in class `BasicSpinnerUI`

### createPreviousButton

protected Component createPreviousButton()

Overrides:
  `createPreviousButton` in class `BasicSpinnerUI`

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `BasicSpinnerUI`

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `BasicSpinnerUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `BasicSpinnerUI`

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `ComponentUI`

### getPreferredSize

public Dimension getPreferredSize(JComponent c)

Overrides:
  `getPreferredSize` in class `ComponentUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`

### createLayout

protected LayoutManager createLayout()

Overrides:
  `createLayout` in class `BasicSpinnerUI`